base-compat-0.14.1: A compatibility layer for base

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.IO.Error.Compat

Synopsis

- module System.IO.Error
- isResourceVanishedError :: IOError -> Bool
- resourceVanishedErrorType :: IOErrorType
- isResourceVanishedErrorType :: IOErrorType -> Bool

# Documentation

module System.IO.Error

isResourceVanishedError :: IOError -> Bool Source #

An error indicating that the operation failed because the resource vanished. See `resourceVanishedErrorType`.

Since: base-4.14.0.0

resourceVanishedErrorType :: IOErrorType Source #

I/O error where the operation failed because the resource vanished. This happens when, for example, attempting to write to a closed socket or attempting to write to a named pipe that was deleted.

Since: base-4.14.0.0

isResourceVanishedErrorType :: IOErrorType -> Bool Source #

I/O error where the operation failed because the resource vanished. See `resourceVanishedErrorType`.

Since: base-4.14.0.0